<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="INPUT_KEYBOARD.html"><font color="#008000">INPUT_KEYBOARD</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     :=<font color="#BC8F8F">"X11 - Keyboard Driver"</font>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong> := <font color="#A020F0">1</font>;  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">date</font></strong>    :=<font color="#BC8F8F">"2003/04"</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_input</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="INPUT.html"><font color="#008000">INPUT</font></a>;

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Get Character (Interrupt #21)</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key</font></strong> key:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <strong><font color="#0000FF">press</font></strong> p:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
     
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>   
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Install keyboard.</font></strong></em>
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_event</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_key</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Use without interface running: text mode</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Guru section.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">acknowledge</font></strong> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Key code generate.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B> 0:CTRL 1:AltGr 2:Alt 3:Cmd 4:Shift 5:Cap 6:NumLock 7:Scrolllock</B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key_ctrl</font></strong>  :<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key_alt_gr</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key_alt</font></strong>   :<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key_of</font></strong> c:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> :<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key_to_string</font></strong> k:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> :<a href="STRING.html"><font color="#008000">STRING</font></a> <-
 
</body>
</html>
 